Query Community Users
curl --request GET \
--url https://apix.us.amity.co/api/v3/communities/{communityId}/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://apix.us.amity.co/api/v3/communities/{communityId}/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apix.us.amity.co/api/v3/communities/{communityId}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"communities": [
{
"communityId": "<string>",
"channelId": "<string>",
"displayName": "<string>",
"_id": "<string>",
"path": "<string>",
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"avatarFileId": "<string>",
"description": "<string>",
"isOfficial": true,
"isPublic": true,
"onlyAdminCanPost": true,
"tags": [
"<string>"
],
"metadata": {},
"postsCount": 123,
"membersCount": 123,
"isJoined": true,
"categoryIds": [
"<string>"
],
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"hasFlaggedComment": false,
"hasFlaggedPost": false,
"needApprovalOnPostCreation": false,
"needApprovalOnCommentCreation": false,
"moderatorMemberCount": 123,
"allowCommentInStory": true,
"isDiscoverable": false,
"requiresJoinApproval": false,
"notificationMode": "default",
"type": "default"
}
],
"communityUsers": [
{
"userId": "<string>",
"userPublicId": "<string>",
"userInternalId": "<string>",
"channelId": "<string>",
"communityId": "<string>",
"communityMembership": "none",
"notMemberReason": "<string>",
"isBanned": false,
"lastActivity": "2023-11-07T05:31:56Z",
"roles": [
"<string>"
],
"permissions": [
"MUTE_CHANNEL"
],
"lastJoin": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"files": [
{
"fileId": "<string>",
"fileUrl": "<string>",
"type": "image",
"accessType": "public",
"altText": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attributes": {
"name": "<string>",
"extension": "<string>",
"size": 123,
"mimeType": "<string>",
"metadata": {
"exif": {},
"gps": {},
"height": 123,
"width": 123,
"isFull": true
}
}
}
],
"users": [
{
"userId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "<string>",
"path": "<string>",
"userInternalId": "<string>",
"userPublicId": "<string>",
"roles": [
"<string>"
],
"permissions": [
"MUTE_CHANNEL"
],
"displayName": "<string>",
"profileHandle": "<string>",
"description": "<string>",
"avatarFileId": "<string>",
"avatarCustomUrl": "<string>",
"flagCount": 123,
"hashFlag": {
"bits": 123,
"hashes": 123,
"hash": [
"<string>"
]
},
"metadata": {},
"isGlobalBan": true,
"isBrand": true,
"isDeleted": true
}
],
"categories": [
{
"categoryId": "<string>",
"name": "<string>",
"metadata": {},
"avatarFileId": "<string>",
"isDeleted": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"feeds": [
{
"targetId": "<string>",
"targetType": "community",
"postCount": 123,
"feedType": "published",
"feedId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"paging": {
"next": "<string>",
"previous": "<string>"
}
}{
"status": "error",
"code": 400400,
"message": "Resource Not Found."
}{
"status": "error",
"code": 400311,
"message": "RateLimit Exceed."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Community
Query Community Users
Retrieves a paginated list of users associated with a specific community. <br>
Supports filtering by membership status, roles, and search criteria. <br>
Results can be sorted using various options and searched by different user attributes. <br>
GET
/
api
/
v3
/
communities
/
{communityId}
/
users
Query Community Users
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
1 - 900Query Parameters
Membership type to filter (If not filter will return both banned user and member)
Required array length:
1 - 2 elementsAvailable options:
banned, member Filter users by their community roles
Required array length:
1 - 20 elementsRequired string length:
1 - 100The default value depends on the search parameter.
- If
searchparameter is not set, the default value islastCreated. - If
searchparameter is set, the default value isdisplayName.
Available options:
firstCreated, lastCreated, displayName, profileHandle, lastJoin, firstJoin Number of results per page (1-100)
Required range:
1 <= x <= 100Pagination token for getting next/previous pages
Maximum string length:
1000Keyword to search for in user information such as displayName, profileHandle, and userId. The search is case-insensitive and supports partial matches.
Maximum string length:
10000Fields to search community users for the search keyword (must be used with a search parameter), Default is all three fields
displayName- Search by display name. When using withsortByparameter the applicable sort order isdisplayName,lastCreatedorfirstCreated. Default tolastCreated.profileHandle- Search by profile handle, when using withsortByparameter the applicable sort order isprofileHandle,lastCreatedorfirstCreated. Default tolastCreated.userId- Search by user id, when using withsortByparameter the applicable sort order islastCreated,firstCreatedordisplayName. Default tolastCreated.
Maximum array length:
3Available options:
displayName, profileHandle, userId type of communityId
Available options:
public, internal filter deleted members if isDeleted is null, will return both deleted and non-deleted members